import java.lang.*;
import java.io.*;
import java.util.*;

class Communication{
    InputStream input;
    BufferedReader inputReader;
    String inputString ="";
    int position = 0;
    
    public Communication(String inputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException e){}
    }

    public void setInputStream(InputStream is){
	this.input = is;
	inputReader = new BufferedReader(new InputStreamReader(input));
    }

    public static String getCorrectedPath(String path){
	if (!new File(path).exists()){
	    if (path.indexOf(new File("").getAbsolutePath()) >= 0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path = System.getProperty("path.separator") + path;
	    return new File("").getAbsolutePath() + path;
	}
	return path;
    }

    public String readLine(){
	try{
	    position = 0;
	    inputString = "";
	    return inputReader.readLine();
	}
	catch (IOException e){}
	return null;
    }
}

public class divide{

    String in;
    public static void main(String[] args){
	Communication c = new Communication("divide.in");
	int[] m=new int[6];
	int[] t1=new int[6];
	int[] t2=new int[6];
	int cc=0;
	String in=null;
	do{
	    in=null;
	    in = c.readLine();
	    cc++;
	    if (in!=null){
		StringTokenizer st = new StringTokenizer(in);
		
		for(int i=0;i<6;i++){
		    m[i]=Integer.parseInt(st.nextToken());
		    //System.out.print(" "+m[i]);
		}
		int sum=0;
		for(int i=0;i<6;i++) sum+=m[i]*(i+1);
		//System.out.println("sum="+sum);
		if (sum==0) return;
		for(int i=0;i<6;i++){
		    t1[i]=m[i]/2;
		    if (i==5) t1[i]-=4;
		    if (i==4) t1[i]-=5;
		    if (i==3) t1[i]-=6;
		    if (i==2) t1[i]-=8;
		    if (i==1) t1[i]-=11;
		    if (i==0) t1[i]-=22;
		    if (t1[i]<0) t1[i]=0;
		    t2[i]=t1[i];
		}
		int div=0;
		//for (int i=0;i<6;i++) div+=(m[i]-2*t1[i])*(i+1);
		for (int i=0;i<6;i++) t1[i]=m[i]-t1[i];
		int sumGes=0;
		for (int i=0;i<6;i++) sumGes+=m[i]*(i+1);
		int sumT2=0;
		for (int i=0;i<6;i++) sumT2+=t2[i]*(i+1);
		//for (int i=0;i<6;i++) div+=(t1[i]-t2[i])*(i+1);
		//System.out.println("div="+div);
		div=sumGes/2-sumT2;
		int count=0;
		boolean loesung=false;
		if ((sum%2)==0)
		for (int i6=0;(i6<=div/3)&&(i6<=t1[5]);i6++){
		    if (loesung) break;
		    count=i6*6;
		    if ((div-count)==0)	loesung=true;
		    for (int i5=0;(i5<=2*div/5)&&(i5<=t1[4]);i5++){
			if (loesung) break;
			count=i6*6+i5*5;
			if (div-count<0) break;
			if ((div-count)==0)	loesung=true;
			for (int i4=0;(i4<=div/2)&&(i4<=t1[3]);i4++){
			    if (loesung) break;
			    count=i6*6+i5*5+i4*4;
			    if (div-count<0) break;
			    if ((div-count)==0)	loesung=true;
			    for (int i3=0;(i3<=2*div/3)&&(i3<=t1[2]);i3++){
				if (loesung) break;
				count=i6*6+i5*5+i4*4+i3*3;
				if (div-count<0) break;
				if ((div-count)==0)	loesung=true;
				for (int i2=0;(i2<=div)&&(i2<=t1[1]);i2++){
				    if (loesung) break;
				    count=i6*6+i5*5+i4*4+i3*3+i2*2;
				    if (div-count<0) break;
				    if ((div-count)==0)	loesung=true;
				    for (int i1=0;(i1<=div)&&(i1<=t1[0]);i1++){
					if (loesung) break;
					count=i6*6+i5*5+i4*4+i3*3+i2*2+i1*1;
					if (div-count<0) break;
					if ((div-count)==0)	loesung=true;
				    }
				}
			    }
			}
		    }
		}
		System.out.println("Collection #"+cc+":");
		if (loesung)
		System.out.println("Can be divided.");else
		System.out.println("Can't be divided.");
		System.out.println();
		
	    }
	}while (in!=null);
    }
}
    
