import java.lang.*;
import java.io.*;
import java.util.*;

class Communication{
    InputStream input;
    BufferedReader inputReader;
    String inputString ="";
    int position = 0;
    
    public Communication(String inputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException e){}
    }

    public void setInputStream(InputStream is){
	this.input = is;
	inputReader = new BufferedReader(new InputStreamReader(input));
    }

    public static String getCorrectedPath(String path){
	if (!new File(path).exists()){
	    if (path.indexOf(new File("").getAbsolutePath()) >= 0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path = System.getProperty("path.separator") + path;
	    return new File("").getAbsolutePath() + path;
	}
	return path;
    }

    public String readLine(){
	try{
	    position = 0;
	    inputString = "";
	    return inputReader.readLine();
	}
	catch (IOException e){}
	return null;
    }
}

public class stree{

    String in;
    public static void main(String[] args){
	Communication c = new Communication("stree.in");
	int depth=0;
	int[] rf;
	boolean[] values;
	int anzahl=0;
	boolean[] path;
	int count=0;
	do{
	    count++;
	    // read depth
	    depth=Integer.parseInt(c.readLine());
	    if (depth==0) return;
	    
	    // read ordering
	    String s=c.readLine();
	    StringTokenizer st=new StringTokenizer(s);
	    rf=new int[depth];
	    //System.out.println("depth="+depth+", String="+s);
	    for (int i=0;i<depth;i++){
		String x=st.nextToken();
		rf[i]=Integer.parseInt(x.substring(1,x.length()));
	    }
	    values=new boolean[(int)Math.round(Math.pow(2,depth))];
	    //System.out.println("value.legth="+values.length);
	    //read values
	    String s1=c.readLine();
	    for (int i=0;i<values.length;i++) if(s1.charAt(i)=='1') values[i]=true;
	    
	    //read anzahl
	    anzahl=Integer.parseInt(c.readLine());
	    //System.out.println("Anzhl="+anzahl);
	    System.out.println("S-Tree #"+count+":");
	    for (int i=0;i<anzahl;i++){


		path=new boolean[depth];
		// read path
		String s2=c.readLine();
		for (int o=0;o<depth;o++) if (s2.charAt(o)=='1') path[o]=true;
		//Berechnung
		int nummer=0;
		for (int u=0;u<depth;u++)
		    if (path[rf[u]-1]) nummer+=Math.pow(2,depth-1-u);
		if (values[nummer]) 
		    System.out.print("1");else
			System.out.print("0");
		
		
	    }
	    System.out.println();
	    System.out.println();
	    
	}while(depth>0);
    }
}
    
