import java.lang.*;
import java.io.*;
import java.util.*;

class Communication{
    InputStream input;
    BufferedReader inputReader;
    String inputString ="";
    int position = 0;
    
    public Communication(String inputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException e){}
    }

    public void setInputStream(InputStream is){
	this.input = is;
	inputReader = new BufferedReader(new InputStreamReader(input));
    }

    public static String getCorrectedPath(String path){
	if (!new File(path).exists()){
	    if (path.indexOf(new File("").getAbsolutePath()) >= 0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path = System.getProperty("path.separator") + path;
	    return new File("").getAbsolutePath() + path;
	}
	return path;
    }

    public String readLine(){
	try{
	    position = 0;
	    inputString = "";
	    return inputReader.readLine();
	}
	catch (IOException e){}
	return null;
    }
}

/*public static void berechne(int[] z, int nummer, int bisher){
    if (nummer==anzahl){
	if (bisher+z[nummer]==erg) ok=true;else
	    if (bisher-z[nummer]==erg) ok=true;else
		if (bisher*z[nummer]==erg) ok=true;
    }else{
	berechne(z,nummer+1,bisher+z[nummer]);
	berechne(z,nummer+1,bisher-z[nummer]);
	berechne(z,nummer+1,bisher*z[nummre]);
    }
    }*/


public class dreisam{

public static void berechne(int[] z, int nummer, int bisher){
    if (ok) return;
    if (nummer==anzahl-1){
	b[nummer]=0;
	if (bisher+z[nummer]==erg) {
	    ok=true;
	    return;
	}
	if (bisher-z[nummer]==erg){
	    b[nummer]=1;
	    ok=true;
	    return;
	}
	if (bisher*z[nummer]==erg){
	    b[nummer]=2;
	    ok=true;
	    return;
	}
    }else{
	b[nummer]=0;
	berechne(z,nummer+1,bisher+z[nummer]);
	if (ok) return;
	b[nummer]=1;
	berechne(z,nummer+1,bisher-z[nummer]);
	if (ok) return;
	b[nummer]=2;
	berechne(z,nummer+1,bisher*z[nummer]);
    }
}
    
    public static boolean ok=false;
    public static int anzahl=0;
    public static int erg=0;
    public static int[] b=new int[100];
    public static boolean[] auf=new boolean[100];
    public static boolean[] zu=new boolean[100];
    

    String in;
    public static void main(String[] args){
	Communication c = new Communication("dreisam.in");
	String e;
	int[] val=new int[100];
	int count=0;
	do{
	    count++;
	    anzahl=0;
	    e=c.readLine();
	    try{
		if (Integer.parseInt(e)==0) return;
	    }catch(Exception fdasgfde){}
	    StringTokenizer st=new StringTokenizer(e," ()=",true);
	    erg=Integer.parseInt(st.nextToken());
	    while (st.hasMoreElements()){
		String n="";
		do{
		    n=st.nextToken();
		}while(n.equals(" "));
		if (n.equals("(")){
		    auf[anzahl]=true;
		    continue;
		}else
		    if (n.equals(")")) {
			zu[anzahl]=true;
			continue;
		    }
		if (n.equals("=")) continue;
		try{
		    val[anzahl]=Integer.parseInt(st.nextToken());
		    anzahl++;
		}catch(Exception adsfdasf){}
	    }
	    System.out.println("Anzahl="+anzahl);
	    ok=false;
 	    berechne(val,1,val[0]);

	    System.out.println("Equation #"+count+":");
	    System.out.print(""+erg+"="+val[0]);
	    if (ok) {
		for (int i=1;i<anzahl;i++){
		    if (b[i]==0) System.out.print("+");else
			if (b[i]==1) System.out.print("-");else
			    if (b[i]==2) System.out.print("*");
		    if (auf[i]) System.out.print("(");
		    if (zu[i]) System.out.print(")");
		    System.out.print(""+val[i]);
		}

	    }else{
		System.out.println("Impossible");
	    }
	    System.out.println();
	 
	    
	    
	}while(true);
    }
}
