import java.lang.*;
import java.io.*;
import java.util.*;

class Communication{
    InputStream input;
    BufferedReader inputReader;
    String inputString ="";
    int position = 0;
    
    public Communication(String inputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException e){}
    }

    public void setInputStream(InputStream is){
	this.input = is;
	inputReader = new BufferedReader(new InputStreamReader(input));
    }

    public static String getCorrectedPath(String path){
	if (!new File(path).exists()){
	    if (path.indexOf(new File("").getAbsolutePath()) >= 0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path = System.getProperty("path.separator") + path;
	    return new File("").getAbsolutePath() + path;
	}
	return path;
    }

    public String readLine(){
	try{
	    position = 0;
	    inputString = "";
	    return inputReader.readLine();
	}
	catch (IOException e){}
	return null;
    }
}



public class game{

    static String in;
    static int b, h, z = 1;
    static boolean[][] f= new boolean[80][80];
    static int[][] besucht = new int[80][80];
    public static void main(String[] args){
	try{
	Communication c = new Communication("game.in");
	do{	
	    for (int i = 0; i < 77; i ++)
		for (int j= 0; j < 77; j ++) 
		    {
			f[i][j] = false;
			besucht[i][j] = 0;
		    }
	    in = c.readLine();
	    StringTokenizer st = new StringTokenizer(in);
	    b = Integer.parseInt(st.nextToken());
	    h = Integer.parseInt(st.nextToken());
	    if ((b ==0 ) && (h == 0)) break;
	    for (int i = 0; i < h; i ++)
		{
		    in = c.readLine();
		    for (int j = 0; j < in.length(); j++)
			if (in.charAt(j) == 'X') f[j + 1][i + 1] = true;
		}
	    System.out.println("Board #" + z);
	    int pair = 0;
	    int xs, ys, xz, yz;
	    do{
		pair ++;
		in = c.readLine();
		StringTokenizer st1 = new StringTokenizer(in);
		xs = Integer.parseInt(st1.nextToken());
		ys = Integer.parseInt(st1.nextToken());
		xz = Integer.parseInt(st1.nextToken());
		yz = Integer.parseInt(st1.nextToken());
		if((xs ==0) && (ys == 0) && (xz == 0) && (yz == 0)) break;
		minimum(xs, ys, 0);
		if (besucht[xz][yz] != 0)
		    System.out.println("Pair " + pair + ": " + besucht[xz][yz] + " segments");
		else System.out.println("Pair " + pair + ": impossible");
} while((xs !=0) && (ys !=0));
} while ((b !=0) && (h !=0));
	}catch(Exception e){
	    System.out.println(e.toString());
	}
}
static void minimum (int xs,int  ys,int  steps)
    {
	if ((xs>b+1)||(xs<0)||(ys>h+1)||(ys<0)) return; //ausserhalb Feld
	if ((steps<besucht[xs][ys]) || (besucht[xs][ys] == 0)) besucht[xs][ys]=steps; //neues Minimum zuweisen;
	if (f[xs][ys]==true) return; //Spielfeld
	if ((steps>=besucht[xs][ys])&&(besucht[xs][ys]!=0)) return; //schon schneller gewesen
	if (xs < b + 1) minimum(xs+1,ys,steps+1);
	if (xs > 0) minimum(xs-1,ys,steps+1);
	if (ys < h + 1) minimum(xs,ys+1,steps+1);
	if (ys > 0) minimum(xs,ys-1, steps+1);
	return;
    }
}
    
