import java.lang.*;
import java.io.*;
import java.util.*;

class Communication{
    InputStream input;
    BufferedReader inputReader;
    String inputString ="";
    int position = 0;
    
    public Communication(String inputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException e){}
    }

    public void setInputStream(InputStream is){
	this.input = is;
	inputReader = new BufferedReader(new InputStreamReader(input));
    }

    public static String getCorrectedPath(String path){
	if (!new File(path).exists()){
	    if (path.indexOf(new File("").getAbsolutePath()) >= 0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path = System.getProperty("path.separator") + path;
	    return new File("").getAbsolutePath() + path;
	}
	return path;
    }

    public String readLine(){
	try{
	    position = 0;
	    inputString = "";
	    return inputReader.readLine();
	}
	catch (IOException e){}
	return null;
    }
}

public class lcd{

    String in;
    public static void main(String[] args){
	Communication c = new Communication("lcd.in");
        int[][] zahl={{1,3,0,3,1},{0,1,0,1,0},{1,1,1,2,1},{1,1,1,1,1},
		      {0,3,1,1,0},{1,2,1,1,1},{1,2,1,3,1},{1,1,0,1,0},
		      {1,3,1,3,1},{1,3,1,1,1}};
	int w=0;
	do{
	    StringTokenizer st=new StringTokenizer(c.readLine());
	    w=Integer.parseInt(st.nextToken());

	    String s1=new String();
	    String s2=new String();
	    String s3=new String();
	    String s4=new String();
	    
	    s3="|"; for (int i=0;i<w+1;i++) s3+=" ";
	    s2="|"; for (int i=0;i<w;i++) s2+=" "; s2+="|";
	    for (int i=0;i<w+1;i++) s1+=" "; s1+="|";
	    for (int i=0;i<w+3;i++) s4+="x";

	    String z=st.nextToken();
	    String[] a=new String[3+w*2];
	    try{
		if (w==0) if (Integer.parseInt(z)==0) return;
	    }
	    catch(Exception e){}
	    for (int i=0;i<a.length;i++)
		a[i]=new String("");
	    for (int o=0;o<5;o++){
		for (int i=0;i<z.length();i++){
		    char[] c2=new char[1];
		    c2[0]=z.charAt(i);
		    int n=Integer.parseInt(new String(c2));
		    //System.out.println("n="+n+"z="+z);
		    if (o==0){
			a[0]=a[0]+" ";
			for (int u=0;u<w;u++)
			    if (zahl[n][o]==1) a[0]+="-";else a[0]+=" ";
			a[0]+="  ";
		    }
		    if (o==2){
			a[0+w+1]=a[0+w+1]+" ";
			for (int u=0;u<w;u++)
			    if (zahl[n][o]==1) a[0+w+1]+="-";else a[0+w+1]+=" ";
			a[0+w+1]+="  ";
		    }
		    if (o==4){
			a[0+w+w+2]=a[0+w+w+2]+" ";
			for (int u=0;u<w;u++)
			    if (zahl[n][o]==1) a[0+w+w+2]+="-";else a[0+w+w+2]+=" ";
			a[0+w+w+2]+="  ";
		    }
		    if (o==1){
			for (int u=0;u<w;u++){
			    if (zahl[n][o]==0) a[0+1+u]+=s4;else
				if (zahl[n][o]==1) a[0+1+u]+=s1;else
				    if (zahl[n][o]==2) a[0+1+u]+=s3;else
					if (zahl[n][o]==3) 
					    a[0+1+u]+=s2;
			    a[0+1+u]+=" ";
			}
		    }
		    if (o==3){
			for (int u=0;u<w;u++) {
			    if (zahl[n][o]==0) a[0+2+w+u]+=s4;else
				if (zahl[n][o]==1) a[0+2+w+u]+=s1;else
				    if (zahl[n][o]==2) a[0+2+w+u]+=s3;else
					if (zahl[n][o]==3) a[0+2+w+u]+=s2;
			    a[0+2+w+u]+=" ";
			}
		    }
		    
		}
	    }
	    for (int i=0;i<a.length;i++)
		a[i]=a[i].substring(0,a[i].length()-1);
	    //for (int i=0;i<a.length;i++)
	    //a[i]+="X";
	    /*if (a[0].length()>=80){
		String[] b=new String[a.length];
		boolean um=a[0].length()>80;
		for (int i=0;i<a.length;i++){
		    //if (um)
		    //b[i]=a[i].substring(80,a[i].length());
		    a[i]=a[i].substring(0,80);
		}
		for (int i=0;i<a.length;i++)
		    System.out.print(a[i]);
		    if (um){
		    System.out.println();
		    System.out.println();
		    for (int i=0;i<a.length;i++)
			System.out.println(b[i]);
			}
		System.out.println();
		    
		    }else*/
	    for (int i=0;i<a.length;i++)
	    System.out.println(a[i]);
	    System.out.println();
	    
	}while (w!=0);
    }
}
    
